# 32/64bit spec-file
# PCLinuxOS Copyright by Bill Reynolds (Texstar.)

%define major 0

Name:           xnoise
Version:        0.2.21
Release:        %mkrel 2

Summary:        Media Player
Source:         https://github.com/shuerhaaken/xnoise/downloads/xnoise-%{version}.tar.xz
URL:            http://www.xnoise-media-player.com/
Group:          Sound
License:        GPLv2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#----------------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}taginfo-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
#----------------------------------------------------
Requires:       gstreamer1.0-plugins-base
Requires:       gstreamer1.0-plugins-good
Requires:       gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-libav
Requires:	%{_lib}gstreamer1.0_0
Requires:	gtk+3.0
Requires:	gnome-icon-theme-extras
Requires:	gnome-icon-theme-symbolic


%description
XNOISE is a media player for Gtk+ with a slick GUI, great speed and lots of
features. Xnoise can play every kind of audio/video data that gstreamer can handle. 

%description -l de
Xnoise ist ein schneller Medien Player mit einer funktionalen Gtk+-Oberfläche, 
der den Fokus auf die Playliste legt. Das in Vala geschriebene Programm setzt 
dabei auf das Multimedia-Framework GStreamer und spielt entsprechend alle 
Formate ab, die GStreamer kennt.

%package devel
Summary:        Development files for xnoise
Summary(de):	Entwicklerdateien für %name
Group:          Development/Libraries
Requires:       xnoise = %{version}

%description devel
XNOISE is a media player for Gtk+ with a slick GUI, great speed and lots of
features. Xnoise can play every kind of audio/video data that gstreamer can handle. 

This package contains the development files to build applications and
plugins for xnoise.

%description devel -l de
Xnoise ist ein schneller Medien Player mit einer funktionalen Gtk+-Oberfläche, 
der den Fokus auf die Playliste legt. Das in Vala geschriebene Programm setzt 
dabei auf das Multimedia-Framework GStreamer und spielt entsprechend alle 
Formate ab, die GStreamer kennt.

Dieses Paket beinhaltet die Entwicklerdateien zum erstellen neuer Funktion
für %name.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC -lm "
%configure2_5x \
    --disable-silent-rules \
    --disable-static

make -j1

%install
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--remove-category="Video" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/icons/48x48/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

%find_lang %{name}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xnoise
%{_bindir}/xnoise_image_extractor_service
%{_datadir}/dbus-1/services/org.gtk.xnoise.ImageExtractor.service
%{_datadir}/dbus-1/services/org.gtk.xnoise.PlayerEngine.service
%{_datadir}/icons/hicolor/*/apps/*.png
%{_iconsdir}/ubuntu-mono-*/status/24/xnoise-panel.png
%{_datadir}/icons/hicolor/scalable/places/*.svg
%{_datadir}/xnoise
%{_datadir}/applications/xnoise.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/scalable/status/*.svg
%{_libdir}/libxnoise.so.%{major}*
%dir %{_libdir}/xnoise
%{_libdir}/xnoise/*.xnplugin
%{_libdir}/xnoise/libDatabaseLyrics.so
%{_libdir}/xnoise/libLyricwiki.so
%{_libdir}/xnoise/libazlyrics.so
%{_libdir}/xnoise/libchartlyrics.so
%{_libdir}/xnoise/liblastfm.so
%{_libdir}/xnoise/libmediakeys.so
%{_libdir}/xnoise/libmpris.so
%{_libdir}/xnoise/libmprisone.so
%{_libdir}/xnoise/libMagnatune.so
%{_libdir}/xnoise/libsoundmenu2.so
%doc %{_mandir}/man1/xnoise.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xnoise
%{_includedir}/xnoise/*.h
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/xnoise-1.0.*
%{_libdir}/libxnoise.so




%changelog
* Thu Feb 13 2014 daniel <meisssw01 at gmail.com> 0.2.21-2free2014
- add missing requires for display icons

* Mon Jan 27 2014 daniel <meisssw01 at gmail.com> 0.2.21-1free2014
- upstream tarball

* Sat Jan 25 2014 bb <bb> 0.2.20-2pclos2014
- drop post ldconfig not needed anymore
- add dep on gstreamer1.0-plugins-good
- add dep on gstreamer1.0-plugins-bad for mp3
- clean up BR

* Sat Jan 25 2014 daniel <meisssw01 at gmail.com> 0.2.20-1free2014
- upstream tarball ( build with gstreamer 1.0 )

* Mon Jan 20 2014 daniel <meisssw01 at gmail.com> 0.2.15-1free2014
- upstream tarball (last build with gstreamer 0.10)
- add german description

* Fri Nov 02 2012 Ken <lxgator at gmail.com> 0.2.13-1pclos2012
- 0.2.13
- fix specfile for 32/64 bit (texstar)

* Sat Oct 20 2012 Ken <lxgator at gmail.com> 0.2.12-1pclos2012
- initial build
